Bug 847627 - Malformed fontconfig config file
Summary: Malformed fontconfig config file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jomolhari-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Flo Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-13 07:40 UTC by Akira TAGOH
Modified: 2012-09-17 21:58 UTC (History)
4 users (show)

Fixed In Version: jomolhari-fonts-0.003-14.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 10:37:48 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2012-08-13 07:40:50 UTC
Description of problem:
Still no changes in the behavior in the latest version of fontconfig,
but it now warns when <test> contains multiple values or <alias> contains
multiple <family>s. this is because the behavior isn't intuitive and
doesn't work as expected necessarily. So you better consider to fix it
to make clearer what you want to do with it.

For solution, if you are expecting OR operator with that rule, add more
<match>s or <alias>es. if you are expecting AND operator with that rule,
just add more <test>s in that <match>.

Additional info:
No real error so far due to Bug#847623, but the rules in the pkg repo will causes this warnings.

Comment 1 Parag Nemade 2012-08-14 18:26:26 UTC
Fixed in jomolhari-fonts-0.003-13.fc19

Comment 2 Akira TAGOH 2012-08-15 02:23:31 UTC
Parag, looking at your fix on .conf, as I wrote in comment#0, having multiple <test>s in <match> means AND expression. so in this case, what you are doing is:

  If pat[lang] == 'bo-cn' and 
     pat[lang] == 'bo-in' and
     pat[lang] == 'bo' and
     pat[lang] == 'dz-bt' and 
     pat[lang] == 'dz' and
     pat[family] == 'serif' then
    pat[family].prepend('Jomolhari')

I'm wondering if that expression becomes true.

Comment 3 Parag Nemade 2012-08-15 07:16:44 UTC
Can you please point me the documentation on how to deal with multiple lang tests?
It will be OR case. Thought As I wrote multiple test cases it means its already OR case.

Comment 4 Akira TAGOH 2012-08-15 07:33:27 UTC
As I also mentioned in comment#0, you need multiple <match>s for OR but multiple <test>s.

Comment 5 Parag Nemade 2012-08-16 10:37:48 UTC
Fixed in jomolhari-fonts-0.003-14.fc19

Comment 6 Fedora Update System 2012-09-04 03:42:14 UTC
jomolhari-fonts-0.003-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jomolhari-fonts-0.003-14.fc18

Comment 7 Fedora Update System 2012-09-17 21:58:53 UTC
jomolhari-fonts-0.003-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.